Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356811 - services/httpd: leaks grep junk to stdout
Summary: services/httpd: leaks grep junk to stdout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant-el6toel7
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: pstodulk
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks: 1335038
TreeView+ depends on / blocked
 
Reported: 2016-07-15 06:05 UTC by Alois Mahdal
Modified: 2016-11-04 09:01 UTC (History)
3 users (show)

Fixed In Version: preupgrade-assistant-el6toel7-0.6.52-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-11-04 09:01:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2618 normal SHIPPED_LIVE preupgrade-assistant-el6toel7 bug fix and enhancement update 2016-11-03 16:23:57 UTC

Description Alois Mahdal 2016-07-15 06:05:33 UTC
Description of problem
======================

services/httpd leaks a lot of junk to stdout; apparently due to grep
tests not being silenced properly.

    LoadModule auth_basic_module modules/mod_auth_basic.so
    LoadModule auth_digest_module modules/mod_auth_digest.so
    LoadModule authn_file_module modules/mod_authn_file.so
    LoadModule authn_alias_module modules/mod_authn_alias.so
    LoadModule authn_anon_module modules/mod_authn_anon.so
    LoadModule authn_dbm_module modules/mod_authn_dbm.so
    LoadModule authn_default_module modules/mod_authn_default.so
    LoadModule authz_host_module modules/mod_authz_host.so
    LoadModule authz_user_module modules/mod_authz_user.so
    LoadModule authz_owner_module modules/mod_authz_owner.so
    LoadModule authz_groupfile_module modules/mod_authz_groupfile.so
    LoadModule authz_dbm_module modules/mod_authz_dbm.so
    LoadModule authz_default_module modules/mod_authz_default.so
    LoadModule ldap_module modules/mod_ldap.so
    LoadModule authnz_ldap_module modules/mod_authnz_ldap.so
    LoadModule include_module modules/mod_include.so
    LoadModule log_config_module modules/mod_log_config.so
    LoadModule logio_module modules/mod_logio.so
    LoadModule env_module modules/mod_env.so
    LoadModule ext_filter_module modules/mod_ext_filter.so
    LoadModule mime_magic_module modules/mod_mime_magic.so
    LoadModule expires_module modules/mod_expires.so
    LoadModule deflate_module modules/mod_deflate.so
    LoadModule headers_module modules/mod_headers.so
    LoadModule usertrack_module modules/mod_usertrack.so
    LoadModule setenvif_module modules/mod_setenvif.so
    LoadModule mime_module modules/mod_mime.so
    LoadModule dav_module modules/mod_dav.so
    LoadModule status_module modules/mod_status.so
    LoadModule autoindex_module modules/mod_autoindex.so
    LoadModule info_module modules/mod_info.so
    LoadModule dav_fs_module modules/mod_dav_fs.so
    LoadModule vhost_alias_module modules/mod_vhost_alias.so
    LoadModule negotiation_module modules/mod_negotiation.so
    LoadModule dir_module modules/mod_dir.so
    LoadModule actions_module modules/mod_actions.so
    LoadModule speling_module modules/mod_speling.so
    LoadModule userdir_module modules/mod_userdir.so
    LoadModule alias_module modules/mod_alias.so
    LoadModule substitute_module modules/mod_substitute.so
    LoadModule rewrite_module modules/mod_rewrite.so
    LoadModule proxy_module modules/mod_proxy.so
    LoadModule proxy_balancer_module modules/mod_proxy_balancer.so
    LoadModule proxy_ftp_module modules/mod_proxy_ftp.so
    LoadModule proxy_http_module modules/mod_proxy_http.so
    LoadModule proxy_ajp_module modules/mod_proxy_ajp.so
    LoadModule proxy_connect_module modules/mod_proxy_connect.so
    LoadModule cache_module modules/mod_cache.so
    LoadModule suexec_module modules/mod_suexec.so
    LoadModule disk_cache_module modules/mod_disk_cache.so
    LoadModule cgi_module modules/mod_cgi.so
    LoadModule version_module modules/mod_version.so
    LoadModule actions_module modules/mod_actions.so
    LoadModule alias_module modules/mod_alias.so
    LoadModule auth_basic_module modules/mod_auth_basic.so
    LoadModule auth_digest_module modules/mod_auth_digest.so
    LoadModule authn_anon_module modules/mod_authn_anon.so
    LoadModule authn_dbm_module modules/mod_authn_dbm.so
    LoadModule authn_file_module modules/mod_authn_file.so
    LoadModule authz_dbm_module modules/mod_authz_dbm.so
    LoadModule authz_groupfile_module modules/mod_authz_groupfile.so
    LoadModule authz_host_module modules/mod_authz_host.so
    LoadModule authz_owner_module modules/mod_authz_owner.so
    LoadModule authz_user_module modules/mod_authz_user.so
    LoadModule autoindex_module modules/mod_autoindex.so
    LoadModule cache_module modules/mod_cache.so
    LoadModule deflate_module modules/mod_deflate.so
    LoadModule dir_module modules/mod_dir.so
    LoadModule env_module modules/mod_env.so
    LoadModule expires_module modules/mod_expires.so
    LoadModule ext_filter_module modules/mod_ext_filter.so
    LoadModule headers_module modules/mod_headers.so
    LoadModule include_module modules/mod_include.so
    LoadModule info_module modules/mod_info.so
    LoadModule log_config_module modules/mod_log_config.so
    LoadModule logio_module modules/mod_logio.so
    LoadModule mime_magic_module modules/mod_mime_magic.so
    LoadModule mime_module modules/mod_mime.so
    LoadModule negotiation_module modules/mod_negotiation.so
    LoadModule rewrite_module modules/mod_rewrite.so
    LoadModule setenvif_module modules/mod_setenvif.so
    LoadModule status_module modules/mod_status.so
    LoadModule substitute_module modules/mod_substitute.so
    LoadModule suexec_module modules/mod_suexec.so
    LoadModule userdir_module modules/mod_userdir.so
    LoadModule version_module modules/mod_version.so
    LoadModule vhost_alias_module modules/mod_vhost_alias.so
    LoadModule dav_module modules/mod_dav.so
    LoadModule dav_fs_module modules/mod_dav_fs.so
    LoadModule proxy_module modules/mod_proxy.so
    LoadModule proxy_ajp_module modules/mod_proxy_ajp.so
    LoadModule proxy_balancer_module modules/mod_proxy_balancer.so
    LoadModule proxy_connect_module modules/mod_proxy_connect.so
    LoadModule proxy_ftp_module modules/mod_proxy_ftp.so
    LoadModule proxy_http_module modules/mod_proxy_http.so
    LoadModule disk_cache_module modules/mod_disk_cache.so
    LoadModule cgi_module modules/mod_cgi.so
    LoadModule ldap_module modules/mod_ldap.so
    LoadModule authnz_ldap_module modules/mod_authnz_ldap.so
    LoadModule speling_module modules/mod_speling.so
    LoadModule usertrack_module modules/mod_usertrack.so
    LoadModule authn_alias_module modules/mod_authn_alias.so
    LoadModule authn_default_module modules/mod_authn_default.so
    LoadModule authz_default_module modules/mod_authz_default.so
    LoadModule ldap_module modules/mod_ldap.so
    LoadModule speling_module modules/mod_speling.so
    LoadModule usertrack_module modules/mod_usertrack.so
    /etc/httpd/conf/httpd.conf:    Order allow,deny
    /etc/httpd/conf/httpd.conf:#        Order allow,deny
    /etc/httpd/conf/httpd.conf:#        Order deny,allow
    /etc/httpd/conf/httpd.conf:    Order allow,deny
    /etc/httpd/conf/httpd.conf:    Order allow,deny
    /etc/httpd/conf/httpd.conf:    Order allow,deny
    /etc/httpd/conf/httpd.conf:        Order allow,deny
    /etc/httpd/conf/httpd.conf:#    Order deny,allow
    /etc/httpd/conf/httpd.conf:#    Order deny,allow
    /etc/httpd/conf/httpd.conf:#    Order deny,allow

The script should not actually print anything to STDOUT (verify this
before testing).


Version-Release number of selected component
============================================

preupgrade-assistant-el6toel7-0.6.49-1.el6

Comment 2 Alois Mahdal 2016-07-18 14:48:49 UTC
Notes for QE:

 1. Do code review and check all grep commands.

 2. Either

     *  Run 'elgg' test:

          ipu wrap -B -t /CoreOS/httpd/Sanity/elgg

        and verify output manually,

     *  or write a more targeted test.

Comment 3 pstodulk 2016-07-22 11:04:16 UTC
Just note: previously were some characters in report escaped wrongly - escape sequences are used for due to correct regexp for grep, but in report should appear. I will fix it here too - or please report new bug if You don't want to have it here too. Thanks

Comment 6 Alois Mahdal 2016-07-29 19:50:41 UTC
(In reply to pstodulk from comment #3)
> Just note: previously were some characters in report escaped wrongly -
> escape sequences are used for due to correct regexp for grep, but in report
> should appear. I will fix it here too - or please report new bug if You
> don't want to have it here too. Thanks

Sorry, I'm not sure what you mean or what are implications of that.  If you found another problem than the one described by this ticket, please file another bug.

I'll just verify this bug in its original scope.


(In reply to Alois Mahdal from comment #2)
> Notes for QE:
> 
>  1. Do code review and check all grep commands.

I saw the commits and again there are more things going on at the same time; more than those originally covered by this.  Sorry but unless commits cleanly map to Bugzilla tickets in their agreed scope (1 problem = 1 ticket = 1 fix = 1 commit), I can't effectively do code review.

This should not be a blocker, though, I'll just drop the step 1.

Comment 7 Alois Mahdal 2016-07-29 20:00:18 UTC
Verified with preupgrade-assistant-el6toel7-0.6.52-1.el6

 *  mentioned junk is not present in the HTML report

 *  same problem was with junk generated by hook in /var/log/upgrade.log;
    fixed as well.

Comment 8 pstodulk 2016-08-01 05:57:35 UTC
Ok. I will report new BZ. Thanks

Comment 10 errata-xmlrpc 2016-11-04 09:01:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2618.html


Note You need to log in before you can comment on or make changes to this bug.